version: "3"

tasks:
  shell:
    desc: Drop into a build shell
    env:
      app: "{{ .app }}"
    cmds:
    - nerdctl run -v "$(pwd)/apps/{{.app}}":/root/working-dir -w
      /root/working-dir --platform linux/amd64 -it nixos-builder -c "nix
      develop"

  cache:
    desc: Start an attic server
    dir: "attic"
    cmds:
    - nerdctl run -it --rm --name=attic -p 8080:8080 -v
      ./config:/var/empty/.config/attic -v ./data:/var/empty/.local/share/attic
      docker.io/heywoodlh/attic
